Open SCAP Library: cvrf_involvement Struct Reference

Open SCAP Library

Public Member Functions | Data Fields
cvrf_involvement Struct Reference

## Public Member Functions
cvrf_doc_publisher_type_t | cvrf_involvement_get_party (struct cvrf_involvement *involve)
cvrf_involvement_status_type_t | cvrf_involvement_get_status_type (struct cvrf_involvement *involve)
xmlNode * | cvrf_involvement_to_dom (const struct cvrf_involvement *involve)
| Parent: Involvements container in a CVRF Vulnerability element. More...
struct cvrf_involvement * | cvrf_involvement_new (void)
| New CVRF Involvement. More...
void | cvrf_involvement_free (struct cvrf_involvement *involve)
| Deallocates memory for an Involvement element. More...
struct cvrf_involvement * | cvrf_involvement_clone (const struct cvrf_involvement *involve)
const char * | cvrf_involvement_get_description (const struct cvrf_involvement *involve)
bool | cvrf_involvement_set_description (struct cvrf_involvement *involve, const char *description)

## Data Fields
cvrf_involvement_status_type_t | status
cvrf_doc_publisher_type_t | party
char * | description

## Member Function Documentation

## ◆ cvrf_involvement_get_party()

cvrf_doc_publisher_type_t cvrf_involvement_get_party | ( | struct cvrf_involvement * | involve | ) |

Retrieve type of publisher for the CVRF document

Parameters

  involve | CVRF Involvement structure

Returns
  Enum representing Party attribute of the Involvement element

## ◆ cvrf_involvement_get_status_type()

cvrf_involvement_status_type_t cvrf_involvement_get_status_type | ( | struct cvrf_involvement * | involve | ) |

Level of involvement of the Party

Parameters

  involve | CVRF Involvement structure

Returns
  Enum representing Status attribute of the Involvement element

## ◆ cvrf_involvement_to_dom()

xmlNode * cvrf_involvement_to_dom | ( | const struct cvrf_involvement * | involve | ) |

Parent: Involvements container in a CVRF Vulnerability element.

Parameters

  involve | CVRF Involvement structure to be exported to XML

Returns
  xmlNode representing Involvement element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h